Name: pcre
Version: 7.8
Release: 6%{?dist}
Summary: Perl-compatible regular expression library
URL: http://www.pcre.org/
Source: ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2
Patch0: pcre-7.3-multilib.patch
# In upstream, bugs #676636, #676643
Patch1: pcre-8.12-manual_typos.patch
# Refused by upstream, bug #676636
Patch2: pcre-8.12-refused_spelling_terminated.patch
# Reintroduce RE::Init(const char*) to restore ABI with pcre-6, bug #842000
Patch3: pcre-7.8-cpp-re-init-v6.patch
# In upstream, bug #799003
Patch4: pcre-7.8-fix_spelling_formfeed_runtime_whitespace.patch
# In upstream 8.21, bug #756105
Patch5: pcre-7.8-forward_reference.patch
# In upstream 8.21, bug #759475
Patch6: pcre-7.8-Fix-caseless-match-if-cases-differ-in-encoding-lengt.patch
License: BSD
Group: System Environment/Libraries
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for dynamic linking, etc) for %{name}.

%package static
Summary: Static library for %{name}
Group: Development/Libraries

%description static
Library for static linking for %{name}.

%prep
%setup -q
%patch0 -p1 -b .multilib
%patch1 -p0 -b .manual_typos
%patch2 -p1 -b .terminated_typos
%patch3 -p1 -b .re_init
%patch4 -p1 -b .formfeed_runtime_whitespace
%patch5 -p1 -b .forward_reference
%patch6 -p1 -b .cases_differ_in_length

%build
%configure --enable-utf8 --enable-unicode-properties

# One contributor's name is non-utf8
iconv -f latin1 -t utf8 ChangeLog >ChangeLog.utf8
touch --reference ChangeLog ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_lib}
mv $RPM_BUILD_ROOT%{_libdir}/libpcre.so.* $RPM_BUILD_ROOT/%{_lib}/
pushd $RPM_BUILD_ROOT%{_libdir}
ln -fs ../../%{_lib}/libpcre.so.0 libpcre.so
popd

# get rid of unneeded *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# These are handled by %%doc in %%files
rm -rf $RPM_BUILD_ROOT%{_docdir}/pcre

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_lib}/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/pcregrep
%{_bindir}/pcretest
%doc AUTHORS COPYING LICENCE NEWS README ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*.h
%{_mandir}/man3/*
%{_bindir}/pcre-config
%doc doc/*.txt doc/html
%doc HACKING

%files static
%defattr(-,root,root)
%{_libdir}/*.a
%doc COPYING LICENCE


%changelog

